0

Hi this message has started appearing on our CIVI CRM system over the last couple of days - it is intermittent and not there all of the time. Any advice on this would be much appreciated. Thank you Helen.

EXTENSION DOWNLOAD ERROR The CiviCRM public extensions directory at https://civicrm.org/extdir/ver=5.41.1|cms=Drupal could not be contacted - please check your webserver can make external HTTP requests or contact CiviCRM team on CiviCRM forum.

1
  • What version are you using - may be relevant
    – Mick Kahn
    Oct 6 at 16:55
0

There is a folder in to which extensions can be downloaded to be used on your site. Some server administrators, us included, prefer to not have any folder 'publically available' for security reasons.

The downsides for the site user is they cannot just grab another extension to try out. The upside is we do not have part of our system potentially vulnerable.

I am not sure if this is the issue you are describing. If you go to civicrm/a/#/status on your site, do you have an error like

Read-Only Extensions: Your extensions directory (//civicrm/extensions) is read-only. If you would like to perform downloads or upgrades, then change the file permissions.

4
0

Thanks Pete for looking up those chat links. I think this is probably the LetsEncrypt issue that's been coming up since Oct 1. https://letsencrypt.org/docs/dst-root-ca-x3-expiration-september-2021/

You likely need to update something on the server. Unfortunately exactly what needs updating seems to vary based on the hosting and several factors.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.